using UnityEngine;
using UnityEngine.XR.ARFoundation;

namespace SpellBoundAR.ARImageTracking
{
    [DisallowMultipleComponent]
    public class ImageTargetContent : MonoBehaviour
    {
        [Header("Cache")]
        private ImageTargetData _imageTargetData;

        public ImageTargetData ImageTargetData => _imageTargetData;
        
        public ImageTargetContent Initialize(ImageTargetData imageTargetData)
        {
            _imageTargetData = imageTargetData;
            return this;
        }
    }
}
